<project>
    <pomVersion>1</pomVersion>
    <name>commons-invoke</name>
    <groupId>onemind-commons</groupId>
    <artifactId>commons-invoke</artifactId>
    <currentVersion>1.1.0</currentVersion>
    <organization>Onemind</organization>
    <inceptionYear>2004</inceptionYear>    
    <package>org.onemind.commons.invoke</package>
    <logo>/images/logo.gif</logo>
    <description>The commons-invoke framework is a complimentary framework to the reflection. While
    reflection allow discovery/invocation of the java object through JVM kernel, the invocation 
    framework allows programmatic help for method lookup and invocation.
    </description>
    <shortDescription>The commons-invoke framewokr</shortDescription>
    <url>http://onemind-commons.sourceforge.net/commons-invoke</url>
    <issueTrackingUrl>
       http://sourceforge.net/tracker/?group_id=114901
    </issueTrackingUrl>
    <siteAddress>onemind-commons.sf.net</siteAddress>
    <siteDirectory>
        /onemind-invoke
    </siteDirectory>
    <distributionSite>
        http://onemind-commons.sourceforge.net
    </distributionSite>
    <distributionDirectory>
        maven
    </distributionDirectory>
    <repository>
        <connection>            
            scm:cvs:pserver:anonmouns@cvs.sf.net:/cvsroot/onemind-commons:commons-invoke
        </connection>        
        <url>
            http://cvs.sf.net/viewcvs.py/onemind-commons
        </url>
    </repository>
    <versions/>
    <branches/>
    <mailingLists>
        <mailingList>
            <name>${pom.name} Dev List</name>
        </mailingList>
        <mailingList>
            <name>${pom.name} User List</name>
        </mailingList>
    </mailingLists>
    <developers>
        <developer>
            <name>TiongHiang Lee</name>
            <id>thlee</id>
            <email>thlee@onemindsoft.org</email>
            <roles/>
        </developer>
    </developers>
    <dependencies>
        <dependency>
            <groupId>onemind-commons</groupId>
            <artifactId>commons-java</artifactId>
            <version>1.3.0</version>
            <properties/>
        </dependency>
    </dependencies>
    <build>
        <sourceDirectory>src/java</sourceDirectory>
        <unitTestSourceDirectory>src/test</unitTestSourceDirectory>
        <unitTest>
            <includes>
                <include>**/*Test.java</include>
            </includes>
        </unitTest>
    </build>
    <properties/>
</project>